{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    devenv
    dotnetCorePackages.sdk_8_0
    #jdk21
    #go
  ];

  programs.direnv = {
    enable = true;
    nix-direnv.enable = true;
    direnvrcExtra = ''
    ''${DIRENV_DISABLE:+exit}
    '';
  };

  nix.extraOptions = ''
    extra-substituters = https://devenv.cachix.org
    extra-trusted-public-keys = devenv.cachix.org-1:w1cLUi8dv3hnoSPGAuibQv+f9TZLr6cv/Hm9XgU50cw=
  '';
}
